**Source URL:** https://general.veevavault.dev/quality/vault-api/api-reference/26.1/qms/associate-auditor-roles.md

# Associate Auditor Roles



Associate *Auditor Roles* with existing *Auditor Profile* records. Vault creates *Auditor Role* assignments asynchronously on behalf of the user. Upon adding an *Auditor Role* to an *Auditor Profile*, Vault automatically creates *Qualification to Complete*, *Role Qualification Status*, and *Role Qualification Criteria Status* records. Learn more about [managing Auditor Profiles and Auditor Roles in Vault Help](https://quality.veevavault.help/en/gr/61887105).

* The maximum CSV input file size is 1 GB.

* The values in the input must be UTF-8 encoded.

* CSVs must follow the standard RFC 4180 format, with some [exceptions](/vault-api/references/csv-rfc-deviations).

* The maximum batch size is 500.

<Endpoint path="/api/{version}/app/quality/qms/auditor_profiles/roles/batch" method="POST"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Content-Type` | `text/csv` |
| `Accept` | `application/json` (default) or `text/csv` |

## Body Parameters {#body-parameters}

Upload parameters as a JSON or CSV file. You can add up to 500 roles in a single request.

| Name | Description |
| --- | --- |
| `auditor_profile__v.name__v` | The name of the *Auditor Profile*. For example, `AuditorProfile-alex@veepharm.com`. |
| `auditor_role__v.name__v` | The name of the *Auditor Role*. For example, `Lead Auditor`. The assigned *Auditor Role* must exist. |

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: application/json" \
--data-raw 'auditor_role__v.name__v, auditor_profile__v.name__v 
Lead Auditor, AuditorProfile-alex@veepharm.com 
Co-Auditor, AuditorProfile-walter@veepharm.com' \
https://myvault.veevavault.com/api/v25.3/app/quality/qms/auditor_profiles/roles/batch

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "jobId": 571902
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response returns the `jobId` for the action, and the authenticated user receives an email and in-app notification in the Vault UI with a CSV file of the results of the operation. Partial success is allowed, meaning some *Auditor Role* assignments in the batch may succeed while others fail. For any failed assignments, the results CSV file includes a reason for the failure.



---

**Previous:** [Migrate Quality Team Members](/quality/vault-api/api-reference/26.1/qms/migrate-quality-team-members)  
**Next:** [Batch Release](/quality/vault-api/api-reference/26.1/batch-release)